curl --request GET \
--url https://api.devin.ai/v3beta1/organizations/{org_id}/default-platform \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3beta1/organizations/{org_id}/default-platform"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3beta1/organizations/{org_id}/default-platform', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"outpost_pool_id": "<string>",
"outpost_pool_name": "<string>",
"platform": "<string>"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"error_code": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Standardplattform der Organisation abrufen (Devin API)
Liest über die v3-Organisations-API die Standardplatzierung für Devin-Sitzungen der Organisation aus (ein Label einer gehosteten Plattform oder einen Outpost-Pool)
Berechtigungen
Erfordert einen Service-Benutzer oder ein persönliches Zugriffstoken, das Member der Organisation ist.Verhalten
- Ein gehosteter Standard wird in
platformzurückgegeben (zum Beispiellinuxoderwindows). - Ein Outpost-Standard wird in
outpost_pool_idzurückgegeben, zusammen mit dem zugehörigenoutpost_pool_name, sofern der Pool für die Organisation noch verfügbar ist. - Ist kein Standard festgelegt, sind alle drei Felder
null; Sitzungen laufen dann auf der standardmäßigen gehosteten Plattform. - Der persönliche Standard eines Nutzers (der Stern in der Plattformauswahl des Sitzungs-Composers) hat für dessen eigene Sitzungen Vorrang vor diesem Wert.
Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
"org-abc123def456"
Antwort
Erfolgreiche Antwort
Der Standardausführungsort der Organisation für neue Sitzungen.
Outpost-Pool, in dem neue Sitzungen standardmäßig ausgeführt werden. Null, wenn als Standard eine gehostete Plattform festgelegt ist oder kein Standard festgelegt wurde.
Name des Standard-Outpost-Pools. Null, wenn als Standard kein Outpost-Pool festgelegt ist oder der Pool der Organisation nicht mehr zur Verfügung steht.
Bezeichnung der gehosteten Plattform (z. B. 'linux', 'windows'), auf der neue Sitzungen standardmäßig ausgeführt werden. Null, wenn als Standard ein Outpost-Pool festgelegt ist oder kein Standard festgelegt wurde.

